Subject: bug#20917: 24.5; Emacs hang after installing gtk3 in windows 7

From: Andy <[email-masked]>
Date: Sun, 28 Jun 2015 12:39:14 +0000 (UTC)

I tried to report the bug within emacs, but somehow I couldn't because of some issues with email client setup (I am very new to emacs). So I am using email directly instead. The following text, I copy and paste from my writing in emacs bug report file that I failed to send within emacs:
I installed 24.5 in windows 7. Everything worked perfectly (after installing sbcl, quicklisp, slime etc). The issue is after I did the following: 
I downloaded gtk3.6.4 all-in-one bundle fromhttp://www.gtk.org/download/win32.php, unzip it and put the path,/dir-to-gtk-bin/, in the windows environment variable, as instructed. The moment I put the pathin, emacs hang during the starting process. The menu appears but I can'tclick it. I have to alt-contrl-del to kill it. Emacs starts normallyafter I removed the path. I have read the FAQ  for emacs and emacs inwindows. It looks like that emacs will use GTK images if the path isin. I think that there is some conflict with the newest image lib in thegtk3 under windows, since most of the lib versions in the gtk/bin isnewer than those in ezwinports.  But I am too noob to check whichone. Thanks.  
Andy,
In GNU Emacs 24.5.1 (i686-pc-mingw32) of 2015-04-11 on LEG570Windowing system distributor `Microsoft Corp.', version 6.1.7601Configured using: `configure --prefix=/c/usr --host=i686-pc-mingw32'
Important settings:  value of $LANG: ENA  locale-coding-system: cp936
Major mode: Fundamental
Minor modes in effect:  tooltip-mode: t  electric-indent-mode: t  mouse-wheel-mode: t  tool-bar-mode: t  menu-bar-mode: t  file-name-shadow-mode: t  global-font-lock-mode: t  blink-cursor-mode: t  auto-composition-mode: t  auto-encryption-mode: t  auto-compression-mode: t  buffer-read-only: t  line-number-mode: t  transient-mark-mode: t
Recent messages:Loading c:/Users/Qi/AppData/Roaming/quicklisp/slime-helper.el (source)...doneFor information about GNU Emacs and the GNU system, type C-h C-a.
Load-path shadows:None found.
Features:(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mmlmml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrevgmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-utilmail-prsvr mail-utils slime-asdf grep slime-fancy slime-trace-dialogslime-fontifying-fu slime-package-fu slime-referencesslime-compiler-notes-tree slime-scratch slime-presentations advicebridge slime-fuzzy slime-fancy-trace slime-fancy-inspector slime-c-p-cslime-editing-commands slime-autodoc eldoc slime-repl elp slime-parseslime byte-opt bytecomp byte-compile cconv derived cl-extra help-fnsedmacro kmacro gud apropos compile etags arc-mode archive-mode noutlineoutline easy-mmode easymenu pp comint ansi-color ring hyperspec cl-macsthingatpt browse-url cl gv cl-loaddefs cl-lib slime-autoloads time-datetooltip electric uniquify ediff-hook vc-hooks lisp-float-type mwheeldos-w32 ls-lisp w32-common-fns disp-table w32-win w32-vars tool-bar dndfontset image regexp-opt fringe tabulated-list newcomment lisp-modeprog-mode register page menu-bar rfn-eshadow timer select scroll-barmouse jit-lock font-lock syntax facemenu font-core frame cham georgianutf-8-lang misc-lang vietnamese tibetan thai tai-viet lao koreanjapanese hebrew greek romanian slovak czech european ethiopic indiancyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrevminibuffer nadvice loaddefs button faces cus-face macroexp filestext-properties overlay sha1 md5 base64 format env code-pages mulecustom widget hashtable-print-readable backquote make-network-processw32notify w32 multi-tty emacs)
Memory information:((conses 8 179905 9130) (symbols 32 24344 0) (miscs 32 74 122) (strings 16 29215 4742) (string-bytes 1 819817) (vectors 8 13444) (vector-slots 4 437002 5034) (floats 8 87 115) (intervals 28 254 11) (buffers 508 13))